public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Rick Farina" <zerochaos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-wireless/gnuradio/
Date: Tue,  8 Feb 2022 03:14:36 +0000 (UTC)	[thread overview]
Message-ID: <1644289965.32d4feb8912ac20396e86e9115f672f6fa36ba60.zerochaos@gentoo> (raw)

commit:     32d4feb8912ac20396e86e9115f672f6fa36ba60
Author:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  8 03:11:21 2022 +0000
Commit:     Rick Farina <zerochaos <AT> gentoo <DOT> org>
CommitDate: Tue Feb  8 03:12:45 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d4feb8

net-wireless/gnuradio: add 3.8.5.0

Signed-off-by: Rick Farina <zerochaos <AT> gentoo.org>
Closes: https://bugs.gentoo.org/829272

 net-wireless/gnuradio/Manifest                     |  1 +
 ...nuradio-9999.ebuild => gnuradio-3.8.5.0.ebuild} | 32 ++++++++++++----------
 net-wireless/gnuradio/gnuradio-9999.ebuild         |  4 +--
 3 files changed, 20 insertions(+), 17 deletions(-)

diff --git a/net-wireless/gnuradio/Manifest b/net-wireless/gnuradio/Manifest
index 1ba5c22b436d..7d575ab9a89b 100644
--- a/net-wireless/gnuradio/Manifest
+++ b/net-wireless/gnuradio/Manifest
@@ -1 +1,2 @@
 DIST gnuradio-3.8.4.0.tar.gz 3395297 BLAKE2B 454724e61306bee4991f8a44c80963080b632f767cbb70e00ee518aa096f150a9bb5c29304b9c30a84ab537b8b19ccd2955806fadb88a6cc4d24a8531e8c0127 SHA512 80d34c6351947f45decf8ba09288d4fc4c411c8d286d2765fad59da421b99c15a4c7b7c25a17c89dacfafd872f13ba8d9a8d84d89a35568e5b088f77fcaaae67
+DIST gnuradio-3.8.5.0.tar.gz 3399660 BLAKE2B 19e3eecb40d7cdafe6fe551d3d36c0fcd34bb92ceb316537f4ebdc1c90d3c649daa1383f3642e2f64bba23026ed6638168fa77da0f21db03330b066e3108c880 SHA512 9b367c8afeb278b90e8ddd835e0ba301f07a53da26791e74913c812bde251daaa8f9611f21969938b215c9a110c9e69dfb6ec8b6d0db9c64013707c57596819a

diff --git a/net-wireless/gnuradio/gnuradio-9999.ebuild b/net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
similarity index 86%
copy from net-wireless/gnuradio/gnuradio-9999.ebuild
copy to net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
index c7bc68e24c4f..5251885bc66b 100644
--- a/net-wireless/gnuradio/gnuradio-9999.ebuild
+++ b/net-wireless/gnuradio/gnuradio-3.8.5.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 PYTHON_COMPAT=( python3_{7,8,9} )
 
 CMAKE_BUILD_TYPE="None"
-inherit cmake python-single-r1 virtualx xdg-utils desktop
+inherit cmake python-single-r1 virtualx xdg-utils
 
 DESCRIPTION="Toolkit that provides signal processing blocks to implement software radios"
 HOMEPAGE="https://www.gnuradio.org/"
@@ -17,11 +17,11 @@ if [[ ${PV} =~ "9999" ]]; then
 	EGIT_BRANCH="maint-3.8"
 	inherit git-r3
 else
-	SRC_URI="https://github.com/gnuradio/gnuradio/releases/download/v${PV}/${P}.tar.xz"
+	SRC_URI="https://github.com/gnuradio/gnuradio/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
 	KEYWORDS="~amd64 ~arm ~x86"
 fi
 
-IUSE="+audio +alsa +analog +digital channels doc dtv examples fec +filter grc jack modtool oss performance-counters portaudio +qt5 sdl test trellis uhd vocoder +utils wavelet zeromq"
+IUSE="+audio +alsa +analog +digital channels ctrlport doc dtv examples fec +filter grc jack modtool oss performance-counters portaudio +qt5 sdl test trellis uhd vocoder +utils wavelet zeromq"
 
 #RESTRICT="!test? ( test )"
 #Tests are known broken right now
@@ -53,6 +53,7 @@ RDEPEND="${PYTHON_DEPS}
 	sci-libs/mpir:=
 	sci-libs/volk:=
 	alsa? ( media-libs/alsa-lib:= )
+	ctrlport? ( $(python_gen_cond_dep 'dev-python/thrift[${PYTHON_USEDEP}]') )
 	fec? (
 		sci-libs/gsl:=
 		dev-python/scipy
@@ -88,7 +89,7 @@ RDEPEND="${PYTHON_DEPS}
 	)
 	vocoder? (
 		media-sound/gsm
-		>=media-libs/codec2-0.8.1
+		>=media-libs/codec2-0.8.1:=
 	)
 	wavelet? (
 		sci-libs/gsl:=
@@ -101,7 +102,7 @@ RDEPEND="${PYTHON_DEPS}
 #That's right, it can't build if gnuradio 3.7 is installed
 #Both due to build failure, and then file collision due to bundled volk
 DEPEND="${RDEPEND}
-	!<net-wireless/gnuradio-3.8
+	!!<net-wireless/gnuradio-3.8
 	app-text/docbook-xml-dtd:4.2
 	>=dev-lang/swig-3.0.5
 	virtual/pkgconfig
@@ -137,6 +138,7 @@ src_configure() {
 		-DENABLE_GR_AUDIO=ON
 		-DENABLE_GR_ANALOG="$(usex analog)"
 		-DENABLE_GR_CHANNELS="$(usex channels)"
+		-DENABLE_GR_CTRLPORT="$(usex ctrlport)"
 		-DENABLE_GR_DIGITAL="$(usex digital)"
 		-DENABLE_DOXYGEN="$(usex doc)"
 		-DENABLE_GR_DTV="$(usex dtv)"
@@ -184,18 +186,18 @@ src_install() {
 	rm -f "${ED}"/usr/libexec/${PN}/grc_setup_freedesktop || die
 
 	# Install icons, menu items and mime-types for GRC
-	if use grc ; then
-		local fd_path="${S}/grc/scripts/freedesktop"
-		insinto /usr/share/mime/packages
-		doins "${fd_path}/${PN}-grc.xml"
+	#if use grc ; then
+	#	local fd_path="${S}/grc/scripts/freedesktop"
+	#	insinto /usr/share/mime/packages
+	#	doins "${fd_path}/${PN}-grc.xml"
 
-		domenu "${fd_path}/"*.desktop
-		doicon "${fd_path}/"*.png
-	fi
+	#	domenu "${fd_path}/"*.desktop
+	#	doicon "${fd_path}/"*.png
+	#fi
 
 	python_fix_shebang "${ED}"
 	# Remove incorrectly byte-compiled Python files and replace
-	find "${ED}"/usr/lib -name "*.py[co]" -exec rm {} \; || die
+	find "${ED}"/usr/lib* -name "*.py[co]" -exec rm {} \; || die
 	python_optimize
 }
 

diff --git a/net-wireless/gnuradio/gnuradio-9999.ebuild b/net-wireless/gnuradio/gnuradio-9999.ebuild
index c7bc68e24c4f..5b2de67aa006 100644
--- a/net-wireless/gnuradio/gnuradio-9999.ebuild
+++ b/net-wireless/gnuradio/gnuradio-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 PYTHON_COMPAT=( python3_{7,8,9} )
 
 CMAKE_BUILD_TYPE="None"


             reply	other threads:[~2022-02-08  3:14 UTC|newest]

Thread overview: 114+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-08  3:14 Rick Farina [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-07  5:15 [gentoo-commits] repo/gentoo:master commit in: net-wireless/gnuradio/ Sam James
2024-06-02  1:44 Sam James
2024-05-30 18:48 Thomas Beierlein
2024-05-30  6:23 Thomas Beierlein
2024-05-29 12:49 Thomas Beierlein
2024-05-18  8:18 Arthur Zamarin
2024-03-01  0:48 Sam James
2024-01-18  3:11 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-18  1:45 Rick Farina
2024-01-02  3:04 Rick Farina
2023-08-16 20:17 Michael Orlitzky
2023-07-28 18:23 Rick Farina
2023-07-28 18:23 Rick Farina
2023-07-28 18:23 Rick Farina
2023-07-02  1:43 Conrad Kostecki
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-06-19 23:51 Rick Farina
2023-05-15 12:14 Thomas Beierlein
2023-04-06  2:18 Rick Farina
2023-04-04 23:30 Sam James
2023-02-24 15:04 Rick Farina
2023-02-24 15:04 Rick Farina
2022-12-21 23:19 Sam James
2022-12-19 19:32 Rick Farina
2022-12-19 18:56 Rick Farina
2022-12-19 18:56 Rick Farina
2022-11-23  6:32 Thomas Beierlein
2022-11-04 13:45 Thomas Beierlein
2022-10-29 19:43 Sam James
2022-10-22  8:10 Thomas Beierlein
2022-10-20 19:27 Thomas Beierlein
2022-09-09 22:38 Jakov Smolić
2022-09-06 17:06 Thomas Beierlein
2022-09-06 16:59 Thomas Beierlein
2022-09-04 12:23 David Seifert
2022-09-01 15:50 Rick Farina
2022-08-31  5:27 Thomas Beierlein
2022-08-15 14:24 Thomas Beierlein
2022-07-15 15:21 Thomas Beierlein
2022-07-09 10:06 Thomas Beierlein
2022-06-25  9:28 Thomas Beierlein
2022-06-10  5:47 Thomas Beierlein
2022-04-30 15:53 Marek Szuba
2021-10-01 15:31 Rick Farina
2021-06-12  2:35 Rick Farina
2021-06-02 22:36 Sam James
2021-04-05 20:05 Rick Farina
2021-02-15  2:19 Rick Farina
2021-01-04 16:59 Sam James
2020-12-18 19:41 Rick Farina
2020-12-18 19:41 Rick Farina
2020-12-18 19:41 Rick Farina
2020-12-17 16:50 Rick Farina
2020-12-17 16:46 Rick Farina
2020-10-11 14:46 Mikle Kolyada
2020-08-24 19:01 Rick Farina
2020-08-01 17:53 Miroslav Šulc
2020-06-03 14:20 Rick Farina
2020-06-01 20:45 Rick Farina
2020-06-01 20:45 Rick Farina
2020-02-09 16:34 Michał Górny
2020-01-28 21:30 Michał Górny
2020-01-28 20:40 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2019-12-29  9:56 David Seifert
2019-04-22 17:40 Rick Farina
2018-10-24 16:16 Richard Farina
2018-10-24 14:30 Richard Farina
2018-10-23  2:36 Richard Farina
2018-08-26 18:22 Michał Górny
2018-08-26 13:24 Michael Weber
2018-07-17 15:55 Richard Farina
2018-07-11 20:46 Richard Farina
2018-06-26 14:11 Richard Farina
2018-06-25 20:40 Richard Farina
2018-06-11  1:21 Richard Farina
2018-06-11  1:21 Richard Farina
2018-06-08 14:35 Richard Farina
2018-06-08 14:35 Richard Farina
2018-06-05 17:27 Richard Farina
2018-05-26 22:36 David Seifert
2018-05-10 14:42 Richard Farina
2018-04-26 15:52 Richard Farina
2018-03-02  3:30 Richard Farina
2018-02-22  4:21 Richard Farina
2018-02-18 17:23 Richard Farina
2018-02-18  3:48 Richard Farina
2017-12-18 18:19 Richard Farina
2017-07-05 15:27 Pacho Ramos
2017-05-24  1:27 Richard Farina
2017-05-23 22:03 Michael Weber
2017-04-17 20:47 Richard Farina
2017-04-10  7:54 Michael Weber
2017-04-07 22:09 Michael Weber
2017-01-23 19:13 Richard Farina
2017-01-23 16:01 Richard Farina
2016-10-26 21:30 Patrice Clement
2016-09-16 16:21 Richard Farina
2016-07-21 14:58 Richard Farina
2016-07-21 14:58 Richard Farina
2016-07-21  4:45 Richard Farina
2016-04-18 15:01 Richard Farina
2016-01-05  3:01 Richard Farina
2015-12-19 14:08 Chí-Thanh Christopher Nguyễn
2015-08-18 20:23 Richard Farina

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1644289965.32d4feb8912ac20396e86e9115f672f6fa36ba60.zerochaos@gentoo \
    --to=zerochaos@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox